SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Variables
SingleProducerConsumer.h File Reference

[Internal] Passes queued data between threads using a circular buffer with read and write pointers More...

`#include "assert.h"`
`#include "memoryoverride.h"`
`#include "Export.h"`

Go to the source code of this file.

## Classes

class | DataStructures::SingleProducerConsumer< SingleProducerConsumerType >
| A single producer consumer implementation without critical sections. More...

## Namespaces

namespace | DataStructures

## Variables

static const int | MINIMUM_LIST_SIZE =8

## Detailed Description

[Internal] Passes queued data between threads using a circular buffer with read and write pointers

Definition in file SingleProducerConsumer.h.

## Variable Documentation

const int MINIMUM_LIST_SIZE =8

static

Definition at line 27 of file SingleProducerConsumer.h.

Referenced by DataStructures::SingleProducerConsumer< SingleProducerConsumerType >::Clear(), and DataStructures::SingleProducerConsumer< SingleProducerConsumerType >::SingleProducerConsumer().